package com.cn.esermis;

import com.cn.esermis.server.BootNettyServer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
//@EnableDiscoveryClient
@EnableAsync
@MapperScan(value = {"com.cn.esermis.**.mapper"})
public class EsermisApplication  implements CommandLineRunner {
    public static void main(String[] args) throws InterruptedException {
        ConfigurableApplicationContext context =  SpringApplication.run(EsermisApplication.class, args);
        // 调用异步任务 启动消费服务
//        context.getBean(Consumer.class).receive();
    }
    //异步方法
    @Async
    public void run(String... args) throws Exception {
        /**
         * 使用异步注解方式启动netty服务端服务
         */
        new BootNettyServer().bind(19900);
    }

}
