package com.cn.esermis.datawarn.common;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.cn.esermis.datawarn.mapper.CountAirChargeMapper;
import com.cn.esermis.datawarn.mapper.CountWaterChargeMapper;
import com.cn.esermis.datawarn.mapper.ExceedDataMapper;
import com.cn.esermis.datawarn.mapper.MonitorFactorMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.ArrayList;

/**
 * @ClassName: exceptionDataDispose
 * @author: Mr.Chen
 * @date: 2024/9/13 9:51
 * 正常"0" 异常"1"
 */
@DS("slave_1")
@Component
//@EnableScheduling
public class ExceptionDataDispose {

    @Autowired
    CountAirChargeMapper countAirChargeMapper;
    @Autowired
    ExceedDataMapper exceedDataMapper;
    @Autowired
    MonitorFactorMapper monitorFactorMapper;
    @Autowired
    CountWaterChargeMapper countWaterChargeMapper;


    public String LoseData(Double max, Double min, Double avg) {

        //判断是否为负值数据
        if (max < 0 || min < 0 || avg < 0) {
            return "1";
        }
        return "0";
    }

    public String SixData(String mn, String factor, Double avg, String dataTime) {
        //判断是否为六小时恒值数据
        int count = 1;
        ArrayList<String> dataAll = new ArrayList<>();
        ArrayList<Double> all = new ArrayList<>();
        String somedata = dataTime.substring(0, 10);
        long dataTime1 = Long.parseLong(somedata);
        for (int i = 0; i < 5; i++) {
            dataTime1--;
            dataAll.add(Long.toString(dataTime1));
        }
        Integer flag = monitorFactorMapper.waterOrAir(factor);
        if (flag==null){
            return "0";
        }
        if (flag.equals(1)) {
            dataAll.replaceAll(s -> s.concat("0000"));
            all = (ArrayList<Double>) countAirChargeMapper.airSixHour(mn, factor, dataAll.get(0),
                    dataAll.get(1), dataAll.get(2), dataAll.get(3), dataAll.get(4));
        }
        if (flag.equals(0)) {
            dataAll.replaceAll(s -> s.concat("0000"));
            all = (ArrayList<Double>) countWaterChargeMapper.airSixHour(mn, factor, dataAll.get(0),
                    dataAll.get(1), dataAll.get(2), dataAll.get(3), dataAll.get(4));
        }


        for (Double aDouble : all) {
            if (avg.equals(aDouble)) {
                count++;
            }
        }
        if (count == 6) {
            return "1";
        }
        return "0";

    }
//    @Scheduled(cron = "0/10 * * * *  ?")
//    public void test(){
//        System.out.println(SixData("120119ZHSYQ081", "a00000", 18.75, "20241023220000"));
//    }

    public String ExceedData(String mn, String factor, Double avg) {
        //获取到小时均值限值
        BigDecimal hoursLimit = ExceedData(mn, factor);
        //BigDecimal hoursLimit = BigDecimal.valueOf(16.9);
        //瞬时值是否为超标数据
        int flag = hoursLimit.compareTo(BigDecimal.valueOf(avg));
        //compareTo会判断两个BigDecimal对象的大小 如果是负值那么avg > HOURSLimit 如果是0那么avg = HOURSLimit 如果是正数那么avg < HOURSLimit
        if (flag < 0) {
            return "1";
        }
        return "0";
    }

    public BigDecimal ExceedData(String mn, String factor) {
        BigDecimal bigDecimal = exceedDataMapper.hoursAvg(mn, factor);
        if (bigDecimal == null)
            return BigDecimal.ZERO;
        return bigDecimal;
    }

}
