package com.cn.esermis.dpld.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 分析仪信息表
 */
@Data
@TableName("analytical_instruments")
public class AnalyticalInstruments {

    private static final long serialVersionUID = 8887499842971074427L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    /**
     * 分析仪品牌
     */
    @TableField(value = "brand")
    private String brand;
    /**
     * 分析仪型号
     */
    @TableField(value = "model")
    private String model;
    /**
     * 分析仪名称
     */
    @TableField(value = "name")
    private String name;
    /**
     *监测污染物因子及限值（小时均值、月排放总量、年排放总量）
     */
    @TableField(value = "factor_infor")
    private String factorInfor;
    /**
     * 量程
     */
    @TableField(value = "range_str")
    private String range;

    /**
     * 数采仪id
     */
    @TableField(value = "data_acquisition_instrument_id")
    private String dataAcquisitionInstrumentId;

    /**
     * 基准氧含量(%)
     */
    @TableField(value = "reference_oxygen_content")
    private String referenceOxygenContent;
    /**
     * 速度场系数
     */
    @TableField(value = "velocity_field_coefficient")
    private String velocityFieldCoefficient;

    /**
     * 皮托管系数
     */
    @TableField(value = "pitot_tube_coefficient")
    private String pitotTubeCoefficient;
    /**
     * k值
     */
    @TableField(value = "k_value")
    private String kvalue;
    /**
     * 烟道（监测口）截面积 M3
     */
    @TableField(value = "flue_area")
    private String flueArea;
    /**
     * 稀释比
     */
    @TableField(value = "dilution_ratio")
    private String dilutionRatio;
    /**
     * 分析仪类型（1气体分析仪，2污水分析仪）
     */
    @TableField(value = "type")
    private Integer type;

}
