package com.cn.esermis.dpld.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 数采仪信息表
 */
@Data
@TableName("data_acquisition_instrument")
public class DataAcquisitionInstrument {

    private static final long serialVersionUID = 8887499842971074427L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    /**
     * 排污口名称
     */
    @TableField(value = "outlet_name")
    private String outletName;
    /**
     * 排污口编号
     */
    @TableField(value = "outlet_code")
    private String outletCode;
    /**
     * 排污口类型（1 废气，2废水）
     */
    @TableField(value = "type")
    private Integer type;
    /**
     *建设投用日期
     */
    @TableField(value = "use_data")
    @DateTimeFormat(pattern = "yyyy")
    @JsonFormat(pattern = "yyyy",timezone = "GMT+8")
    private Date useData;
    /**
     * 是否完成验收备案(0否 1是)
     */
    @TableField(value = "complete_filings")
    private Integer completeFilings;

    /**
     * 验收备案时间
     */
    @TableField(value = "complete_filings_time")
    private Date completeFilingsTime;

    /**
     * 数采仪品牌
     */
    @TableField(value = "collection_name")
    private String collectionName;
    /**
     * 数采仪品牌
     */
    @TableField(value = "collection_brand")
    private String collectionBrand;
    /**
     * 数采仪型号
     */
    @TableField(value = "collection_model")
    private String collectionModel;

    /**
     * 数采仪MN号
     */
    @TableField(value = "mn_code")
    private String mnCode;
    /**
     * 数采仪IP
     */
    @TableField(value = "collection_ip")
    private String collectionIp;
    /**
     * 单位编码
     */
    @TableField(value = "company_code")
    private String companyCode;
    /**
     * 单位编码
     */
    @TableField(value = "department_code")
    private String departmentCode;
    /**
     * 是否有排气筒 1是 0否
     */
    @TableField(value = "have_exhaust")
    private Integer haveExhaust;
    /**
     * 排气筒温度
     */
    @TableField(value = "exhaust_temperature")
    private String exhaustTemperature;
    /**
     * 排气筒高度
     */
    @TableField(value = "exhaust_height")
    private String exhaustHeight;
    /**
     * 排气筒直径
     */
    @TableField(value = "exhaust_diameter")
    private String exhaustDiameter;
}
