package com.cn.esermis.dpld.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 检测因子字典表
 */
@Data
@TableName("monitor_factor")
public class DetectMonitorFactor {

    private static final long serialVersionUID = 8887499842971074427L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.UUID)
    private String id;



    /**
     * 编码
     */
    @TableField(value = "factor")
    private String code;
    /**
     * 原编码
     */
    @TableField(value = "old_code")
    private String oldCode;
    /**
     * 缺省计量单位（浓度）
     */
    @TableField(value = "concentration")
    private String concentration;
    /**
     * 缺省计量单位（排放量）
     */
    @TableField(value = "emissions_volume")
    private String emissionsVolume;
    /**
     * 缺省数据类型（浓度）
     */
    @TableField(value = "type")
    private Integer type;
    /**
     * 简称
     */
    @TableField(value = "abbreviation")
    private String abbreviation;
    /**
     * 监测因子类型 1 废气 2 废水
     */
    @TableField(value = "factorType")
    private Integer factorType;


}
