package com.cn.esermis.dpld.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 监测因子表
 */
@Data
@TableName("monitoring_factor")
public class DetectMonitoringFactor {

    private static final long serialVersionUID = 8887499842971074427L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    /**
     * 分析仪主键ID
     */
    @TableField(value = "analytical_instrument_id")
    private String analyticalInstrumentId;
    /**
     * 检测因子编码
     */
    @TableField(value = "factor")
    private String factor;
    /**
     * 小时均值
     */
    @TableField(value = "hours_avg")
    private String hoursAvg;
    /**
     * 小时均值单位
     */
    @TableField(value = "hours_unit")
    private Date hoursUnit;
    /**
     * 月排放量
     */
    @TableField(value = "monthly_emissions")
    private String monthlyEmissions;

    /**
     * 月排放量单位
     */
    @TableField(value = "monthly_emissions_unit")
    private Date monthlyEmissionsUnit;

    /**
     * 年排放量
     */
    @TableField(value = "year_emissions")
    private String yearEmissions;
    /**
     * 年排放量单位
     */
    @TableField(value = "year_emissions_unit")
    private String yearEmissionsUnit;

    /**
     * 量程
     */
    @TableField(value = "range_str")
    private String range;
    /**
     * 量程单位
     */
    @TableField(value = "range_unit")
    private String rangeUnit;
    /**
     * 量程单位
     */
    @TableField(value = "factor_name")
    private String factorName;
    /**
     * 数据采集仪主键ID
     */
    @TableField(value = "data_acquisition_instrument_id")
    private String dataAcquisitionInstrumentId;
}
