package com.cn.esermis.dpld.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 异常记录表
 */
@Data
@TableName("excep_log")
public class ExcepLog {

    private static final long serialVersionUID = 8887499842971074427L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    /**
     * 排口名称
     */
    @TableField(value = "outlet_name")
    private String outletName;
    /**
     * 排口编码
     */
    @TableField(value = "outlet_code")
    private String outletCode;
    /**
     *设备mn码
     */
    @TableField(value = "mn")
    private String mn;
    /**
     * 因子码
     */
    @TableField(value = "factor")
    private String factor;
    /**
     * 报警数据时间
     */
    @TableField(value = "excep_time")
    private Date excepTime;

    /**
     * 小时均值超限
     */
    @TableField(value = "avg_out")
    private Integer avgOut;

    /**
     * 六小时恒值
     */
    @TableField(value = "six_last")
    private String sixLast;
    /**
     * 负值异常
     */
    @TableField(value = "lose_data")
    private String loseData;

    /**
     * 年排放超限值
     */
    @TableField(value = "year_excep")
    private String yearExcep;
    /**
     * 瞬时超限
     */
    @TableField(value = "instant_out")
    private String instantOut;
    /**
     * 月排放超限值
     */
    @TableField(value = "math_excep")
    private String mathExcep;
    /**
     * 小时均值处置单发放
     */
    @TableField(value = "disposal_avg")
    private String disposal_avg;
    /**
     * 六小时恒值处置单发放
     */
    @TableField(value = "disposalSix")
    private String disposalSix;
    /**
     * 负值处置单发放
     */
    @TableField(value = "disposal_lose")
    private String disposalLose;
    /**
     * 年排放超限处置单发放
     */
    @TableField(value = "disposal_year")
    private String disposalYear;
    /**
     * 实时邮件是否发放
     */
    @TableField(value = "email_now")
    private String emailNow;

    /**
     * 天发送邮件发送次数
     */
    @TableField(value = "email_day")
    private Integer emailDay;

}
