package com.cn.esermis.dpld.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonAppend;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 监测因子表
 */
@Data
@TableName("pre_marking")
public class PreMarking {

    private static final long serialVersionUID = 8887499842971074427L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    /**
     * 排污口名称
     */
    @TableField(value = "outlet_name")
    private String outletName;
    /**
     * 排污口编号
     */
    @TableField(value = "outlet_code")
    private String outletCode;

    /**
     * 数采仪MN号
     */
    @TableField(value = "mn_code")
    private String mnCode;
    /**
     * 工况类型
     * 1正常运行、2停运、3启炉、4焖炉、5烘炉、6停炉、7生产设施故障、8自动监控设施故障、9其他
     */
    @TableField(value = "working_condition")
    private Integer workingCondition;
    /**
     * 开始时间
     */
    @TableField(value = "start_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date startTime;
    /**
     * 原因
     */
    @TableField(value = "reason")
    private String reason;
    /**
     * 填报人(默认当前账号 不可修改)
     */
    @TableField(value = "user_id")
    private String userId;

    /**
     * 填报人姓名
     */
    @TableField(value = "user_name")
    private String userName;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;



    @TableField(value = "company_code")
    private String companyCode;
    @TableField(value = "department_code")
    private String departmentCode;

}
