package com.cn.esermis.dpld.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cn.esermis.dpld.entity.DataAcquisitionInstrument;
import com.cn.esermis.dpld.mapper.DataAcquisitionInstrumentMapper;
import com.cn.esermis.dpld.model.DataAcquisitionInstrumentVo;
import com.cn.esermis.dpld.model.OutletAndFactorVo;
import com.cn.esermis.dpld.service.IDataAcquisitionInstrumentService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;
import java.util.Map;

@Service
public class DataAcquisitionInstrumentServiceImpl extends ServiceImpl<DataAcquisitionInstrumentMapper, DataAcquisitionInstrument> implements IDataAcquisitionInstrumentService {


    @Resource
    DataAcquisitionInstrumentMapper mapper;

    @Override
    public List<OutletAndFactorVo> selectlist() {
        return mapper.selectListAll();
    }

    @Override
    public List<Map<String,Object>> getCompony() {
        return mapper.getCompony();
    }

    @Override
    public List<Map<String, Object>> getDepartment(String componyid) {
        return mapper.getDepartment(componyid);
    }

    @Override
    public Map<String, Object> getComponyMap() {
        return mapper.getComponyMap();
    }

    @Override
    public Map<String, Object> getDepartmentMap() {
        return mapper.getDepartmentMap();
    }

    @Override
    public List<DataAcquisitionInstrument> listByCode(DataAcquisitionInstrumentVo vo) {
        List<DataAcquisitionInstrument> dataAcquisitionInstruments = mapper.listByCode(vo);
        return dataAcquisitionInstruments;
    }

    @Override
    public List<String> getComponyList(String companyName, String companyId) {
        return mapper.getComponyList(companyName,companyId);
    }

    @Override
    public List<String> getComponyListAll(String companyName) {
        return mapper.getComponyListAll(companyName);
    }
}
