package com.cn.esermis.model;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class CP {

    /**
     * 监测因子编码 对应监测因子表的code
     */
    private String factor;

    /**
     * 分钟最小值
     */
    private BigDecimal Min;
    /**
     * 分钟最大值
     */
    private BigDecimal Max;
    /**
     * 分钟平均值
     */
    private BigDecimal Avg;
    /**
     * 分钟累计值
     */
    private BigDecimal Cou;
    /**
     * 监测状态 N 在线监控（监测）仪器仪表工作正常
     * F 在线监控（监测）仪器仪表停运
     * M 在线监控（监测）仪器仪表处于维护期间产生的数据
     * S 手工输入的设定值
     * D 在线监控（监测）仪器仪表故障
     * C 在线监控（监测）仪器仪表处于校准状态
     * T 在线监控（监测）仪器仪表采样数值超过测量上限
     * B 在线监控（监测）仪器仪表与数采仪通讯异常）
     */
    private String Flag;
    /**
     * 折算最小值
     */
    private BigDecimal ZsMin;
    /**
     * 折算最大值
     */
    private BigDecimal ZsMax;
    /**
     * 折算平均值
     */
    private BigDecimal ZsAvg;
    /**
     * 折算平均值
     */
    private BigDecimal Rtd;


}
