package com.cn.esermis.server;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.cn.esermis.config.RedisQueueService;
import com.cn.esermis.constant.Constant;
import com.cn.esermis.dpld.business.MonitorBusiness;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

/**
 * 消费者类
 */
@Component
public class Consumer {

    @Autowired
    private MonitorBusiness monitorBusiness;
    @Autowired
    private RedisQueueService redisQueueService;


    @Async
    public void receive() throws InterruptedException {
        while (true){
            //取出消息
            Object message = redisQueueService.receiveMessage(Constant.SERVER);
            if (message==null || message.equals("")){
//                System.out.println("消息队列为空");
                Thread.sleep(1000*5);
            }else{
                // 数据入库
                System.out.println("消费消息------------："+message);
                JSONObject jsonObject = (JSONObject) JSON.toJSON(message);
                monitorBusiness.inboundOperations(jsonObject);
            }
        }
    }

}
